org.springframework.data.util

## Class DirectFieldAccessFallbackBeanWrapper

- java.lang.Object
- - org.springframework.beans.PropertyEditorRegistrySupport
  - - org.springframework.beans.TypeConverterSupport
    - - org.springframework.beans.AbstractPropertyAccessor
      - - org.springframework.beans.AbstractNestablePropertyAccessor
        - - org.springframework.beans.BeanWrapperImpl
          - - org.springframework.data.util.DirectFieldAccessFallbackBeanWrapper

All Implemented Interfaces:
  BeanWrapper, ConfigurablePropertyAccessor, PropertyAccessor, PropertyEditorRegistry, TypeConverter

    public class DirectFieldAccessFallbackBeanWrapper
    extends BeanWrapperImpl

Custom extension of `BeanWrapperImpl` that falls back to direct field access in case the object or type being wrapped does not use accessor methods.

Author:
  Oliver Gierke

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.beans.AbstractNestablePropertyAccessor

`AbstractNestablePropertyAccessor.PropertyHandler, AbstractNestablePropertyAccessor.PropertyTokenHolder`

### Field Summary

### Fields inherited from interface org.springframework.beans.PropertyAccessor

`NESTED_PROPERTY_SEPARATOR, NESTED_PROPERTY_SEPARATOR_CHAR, PROPERTY_KEY_PREFIX, PROPERTY_KEY_PREFIX_CHAR, PROPERTY_KEY_SUFFIX, PROPERTY_KEY_SUFFIX_CHAR`

### Constructor Summary

Constructors
Constructor and Description
`DirectFieldAccessFallbackBeanWrapper(Class<?> type)`
`DirectFieldAccessFallbackBeanWrapper(Object entity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getPropertyValue(String propertyName)`
`void` `setPropertyValue(String propertyName, Object value)`

### Methods inherited from class org.springframework.beans.BeanWrapperImpl

`convertForProperty, createNotWritablePropertyException, getLocalPropertyHandler, getPropertyDescriptor, getPropertyDescriptors, getSecurityContext, newNestedPropertyAccessor, setBeanInstance, setIntrospectionClass, setSecurityContext, setWrappedInstance`

### Methods inherited from class org.springframework.beans.AbstractNestablePropertyAccessor

`convertForProperty, getAutoGrowCollectionLimit, getFinalPath, getNestedPath, getPropertyAccessorForPropertyPath, getPropertyHandler, getPropertyType, getPropertyTypeDescriptor, getPropertyValue, getRootClass, getRootInstance, getWrappedClass, getWrappedInstance, isReadableProperty, isWritableProperty, setAutoGrowCollectionLimit, setPropertyValue, setPropertyValue, setWrappedInstance, toString`

### Methods inherited from class org.springframework.beans.AbstractPropertyAccessor

`isAutoGrowNestedPaths, isExtractOldValueForEditor, setAutoGrowNestedPaths, setExtractOldValueForEditor, setPropertyValues, setPropertyValues, setPropertyValues, setPropertyValues`

### Methods inherited from class org.springframework.beans.TypeConverterSupport

`convertIfNecessary, convertIfNecessary, convertIfNecessary, convertIfNecessary`

### Methods inherited from class org.springframework.beans.PropertyEditorRegistrySupport

`copyCustomEditorsTo, copyDefaultEditorsTo, findCustomEditor, getConversionService, getDefaultEditor, guessPropertyTypeFromEditors, hasCustomEditorForElement, overrideDefaultEditor, registerCustomEditor, registerCustomEditor, registerDefaultEditors, setConversionService, useConfigValueEditors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.beans.BeanWrapper

`getAutoGrowCollectionLimit, getWrappedClass, getWrappedInstance, setAutoGrowCollectionLimit`

### Methods inherited from interface org.springframework.beans.ConfigurablePropertyAccessor

`getConversionService, isAutoGrowNestedPaths, isExtractOldValueForEditor, setAutoGrowNestedPaths, setConversionService, setExtractOldValueForEditor`

### Methods inherited from interface org.springframework.beans.PropertyAccessor

`getPropertyType, getPropertyTypeDescriptor, isReadableProperty, isWritableProperty, setPropertyValue, setPropertyValues, setPropertyValues, setPropertyValues, setPropertyValues`

### Methods inherited from interface org.springframework.beans.PropertyEditorRegistry

`findCustomEditor, registerCustomEditor, registerCustomEditor`

### Methods inherited from interface org.springframework.beans.TypeConverter

`convertIfNecessary, convertIfNecessary, convertIfNecessary, convertIfNecessary`

### Constructor Detail

#### DirectFieldAccessFallbackBeanWrapper

    public DirectFieldAccessFallbackBeanWrapper(Object entity)

#### DirectFieldAccessFallbackBeanWrapper

    public DirectFieldAccessFallbackBeanWrapper(Class<?> type)

### Method Detail

#### getPropertyValue

    @Nullable
    public Object getPropertyValue(String propertyName)

Specified by:
  `getPropertyValue` in interface `PropertyAccessor`
Overrides:
  `getPropertyValue` in class `AbstractNestablePropertyAccessor`

#### setPropertyValue

    public void setPropertyValue(String propertyName,
                                 @Nullable
                                 Object value)

Specified by:
  `setPropertyValue` in interface `PropertyAccessor`
Overrides:
  `setPropertyValue` in class `AbstractNestablePropertyAccessor`